## org.apache.fop.apps
Class AWTCommandLine

    java.lang.Object
      |
      +--org.apache.fop.apps.AWTCommandLine

public class AWTCommandLine
extends java.lang.Object

initialize AWT previewer

Field Summary
`static java.lang.String` `TRANSLATION_PATH`

Constructor Summary
`AWTCommandLine(java.lang.String srcFile, java.lang.String language)`

Method Summary
`protected PreviewDialog` `createPreviewDialog(AWTRenderer renderer, Translator res)`
`protected static org.xml.sax.InputSource` `fileInputSource(java.lang.String filename)` create an InputSource from a file name
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSLATION_PATH

    public static java.lang.String TRANSLATION_PATH

Constructor Detail

### AWTCommandLine

    public AWTCommandLine(java.lang.String srcFile,
                          java.lang.String language)

Method Detail

### createPreviewDialog

    protected PreviewDialog createPreviewDialog(AWTRenderer renderer,
                                                Translator res)

### fileInputSource

    protected static org.xml.sax.InputSource fileInputSource(java.lang.String filename)

  create an InputSource from a file name
  Parameters:
    `filename` - the name of the file
  Returns:
    the InputSource created

### main

    public static void main(java.lang.String[] args)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.